proc tixPref:SetScheme-Color:CDE {} {
    global tixOption

    uplevel #0 [list package require cde]
 
    set tixOption(bg)           $cde::background
    set tixOption(fg)           $cde::foreground
 
    set bg [winfo rgb . $cde::background]
    set fg [winfo rgb . $cde::foreground]
    set darkerBg [format #%02x%02x%02x [expr (9*[lindex $bg 0])/2560] \
            [expr (9*[lindex $bg 1])/2560] [expr (9*[lindex $bg 2])/2560]]
    set disableFg [format #%02x%02x%02x \
                [expr (3*[lindex $bg 0] + [lindex $fg 0])/1024] \
                [expr (3*[lindex $bg 1] + [lindex $fg 1])/1024] \
                [expr (3*[lindex $bg 2] + [lindex $fg 2])/1024]]
    foreach i {0 1 2} {
        set light($i) [expr [lindex $bg $i]/256]
        set inc1 [expr ($light($i)*15)/100]
        set inc2 [expr (255-$light($i))/3]
        if {$inc1 > $inc2} {
            incr light($i) $inc1
        } else {
            incr light($i) $inc2
        }
        if {$light($i) > 255} {
            set light($i) 255
        }
    }
    set activeBg [format #%02x%02x%02x $light(0) $light(1) $light(2)]
 
    set tixOption(dark1_bg)     $darkerBg
    set tixOption(dark1_fg)     $cde::foreground
    set tixOption(dark2_bg)     $darkerBg
    set tixOption(dark2_fg)     $cde::foreground
    set tixOption(inactive_bg)  $darkerBg
    set tixOption(inactive_fg)  $cde::foreground
 
    set tixOption(light1_bg)    $cde::textbackground
    set tixOption(light1_fg)    $cde::textforeground
    set tixOption(light2_bg)    $tixOption(light1_bg)
    set tixOption(light2_fg)    $tixOption(light1_fg)
 
    set tixOption(active_bg)    $activeBg
    set tixOption(active_fg)    $cde::foreground
    set tixOption(disabled_fg)  $disableFg
 
    set tixOption(input1_bg)    $cde::textbackground
    set tixOption(input1_fg)    $cde::textforeground
    set tixOption(input2_bg)    $cde::textbackground
    set tixOption(input2_fg)    $cde::textforeground
    set tixOption(output1_bg)   $tixOption(dark1_bg)
    set tixOption(output2_bg)   $tixOption(bg)
 
    set tixOption(select_fg)    $cde::selectforeground
    set tixOption(select_bg)    $cde::selectbackground
 
    set tixOption(selector)     $cde::selectcolor

option add *background 		$tixOption(bg) 10
option add *Background		$tixOption(bg) $tixOption(prioLevel)
option add *background		$tixOption(bg) $tixOption(prioLevel)
option add *Foreground		$tixOption(fg) $tixOption(prioLevel)
option add *foreground		$tixOption(fg) $tixOption(prioLevel)
option add *activeBackground	$tixOption(active_bg) $tixOption(prioLevel)
option add *activeForeground	$tixOption(active_fg) $tixOption(prioLevel)
option add *HighlightBackground	$tixOption(bg) $tixOption(prioLevel)
option add *selectBackground	$tixOption(select_bg) $tixOption(prioLevel)
option add *selectForeground	$tixOption(select_fg) $tixOption(prioLevel)
option add *selectBorderWidth	0 $tixOption(prioLevel)
option add *Menu.selectColor		$tixOption(selector) $tixOption(prioLevel)
option add *TixMenu.selectColor		$tixOption(selector) $tixOption(prioLevel)
option add *Menubutton.padY			5 $tixOption(prioLevel)
option add *Button.anchor		c $tixOption(prioLevel)
option add *Checkbutton.selectColor		$tixOption(selector) $tixOption(prioLevel)
option add *Radiobutton.selectColor		$tixOption(selector) $tixOption(prioLevel)
option add *Entry.relief		sunken $tixOption(prioLevel)
option add *Entry.highlightBackground	$tixOption(bg) $tixOption(prioLevel)
option add *Entry.background		$tixOption(input1_bg) $tixOption(prioLevel)
option add *Entry.foreground		$tixOption(input1_fg) $tixOption(prioLevel)
option add *Entry.insertBackground	$tixOption(input1_fg) $tixOption(prioLevel)
option add *Label.anchor		w $tixOption(prioLevel)
option add *Label.borderWidth		0 $tixOption(prioLevel)
option add *Listbox.background		$tixOption(light1_bg) $tixOption(prioLevel)
option add *Listbox.foreground		$tixOption(light1_fg) $tixOption(prioLevel)
option add *Listbox.relief		sunken $tixOption(prioLevel)
option add *Scale.foreground		$tixOption(fg) $tixOption(prioLevel)
option add *Scale.activeForeground	$tixOption(bg) $tixOption(prioLevel)
option add *Scale.background		$tixOption(bg) $tixOption(prioLevel)
option add *Scale.sliderForeground	$tixOption(bg) $tixOption(prioLevel)
option add *Scale.sliderBackground	$tixOption(light1_bg) $tixOption(prioLevel)
option add *Scrollbar.background		$tixOption(bg) $tixOption(prioLevel)
option add *Scrollbar.troughColor		$tixOption(dark1_bg) $tixOption(prioLevel)
option add *Scrollbar.relief		sunken $tixOption(prioLevel)
option add *Text.background		$tixOption(input1_bg) $tixOption(prioLevel)
option add *Text.foreground		$tixOption(input1_fg) $tixOption(prioLevel)
option add *Text.insertBackground	$tixOption(input1_fg) $tixOption(prioLevel)
option add *Text.relief		sunken $tixOption(prioLevel)
option add *TixSelect*selectedBg	$tixOption(dark1_bg) $tixOption(prioLevel)
option add *TixBalloon*background 			#ffff60 $tixOption(prioLevel)
option add *TixBalloon*foreground 			black $tixOption(prioLevel)
option add *TixBalloon.background 			black $tixOption(prioLevel)
option add *TixBalloon*Label.anchor 			w $tixOption(prioLevel)
option add *TixControl*entry.highlightBackground	$tixOption(bg) $tixOption(prioLevel)
option add *TixControl*entry.background		$tixOption(input1_bg) $tixOption(prioLevel)
option add *TixControl*entry.foreground		$tixOption(input1_fg) $tixOption(prioLevel)
option add *TixControl*entry.insertBackground	$tixOption(input1_fg) $tixOption(prioLevel)
option add *TixDirTree*Scrollbar.background		$tixOption(bg) $tixOption(prioLevel)
#option add *TixDirTree*Scrollbar.troughColor		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirTree*hlist.highlightBackground	$tixOption(bg) $tixOption(prioLevel)
option add *TixDirTree*hlist.background		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirTree*hlist.foreground		$tixOption(light1_fg) $tixOption(prioLevel)
option add *TixDirTree*hlist.activeBackground	$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirTree*hlist.disabledBackground	$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirTree*f1.borderWidth		$cde::borderwidth $tixOption(prioLevel)
option add *TixDirTree*f1.relief			sunken $tixOption(prioLevel)
option add *TixDirList*Scrollbar.background		$tixOption(bg) $tixOption(prioLevel)
#option add *TixDirList*Scrollbar.troughColor		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirList*hlist.highlightBackground	$tixOption(bg) $tixOption(prioLevel)
option add *TixDirList*hlist.background		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirList*hlist.foreground		$tixOption(light1_fg) $tixOption(prioLevel)
option add *TixDirList*hlist.activeBackground	$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirList*hlist.disabledBackground	$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirList*f1.borderWidth		$cde::borderwidth $tixOption(prioLevel)
option add *TixDirList*f1.relief			sunken $tixOption(prioLevel)
option add *TixScrolledHList*Scrollbar.background		$tixOption(bg) $tixOption(prioLevel)
#option add *TixScrolledHList*Scrollbar.troughColor		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.highlightBackground	$tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.background		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.foreground		$tixOption(light1_fg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.activeBackground	$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.disabledBackground	$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*f1.borderWidth		$cde::borderwidth $tixOption(prioLevel)
option add *TixScrolledHList*f1.relief			sunken $tixOption(prioLevel)
option add *TixTree*Scrollbar.background		$tixOption(bg) $tixOption(prioLevel)
#option add *TixTree*Scrollbar.troughColor		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.highlightBackground	$tixOption(bg) $tixOption(prioLevel)
option add *TixTree*hlist.background		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.foreground		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.activeBackground	$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.disabledBackground	$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*f1.borderWidth		$cde::borderwidth $tixOption(prioLevel)
option add *TixTree*f1.relief			sunken $tixOption(prioLevel)
option add *TixFileEntry*Entry.background 		$tixOption(input1_bg) $tixOption(prioLevel)
option add *TixFileEntry*Entry.foreground	$tixOption(input1_fg) $tixOption(prioLevel)
option add *TixHList.background			$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixHList.foreground			$tixOption(light1_fg) $tixOption(prioLevel)
option add *TixHList.activeBackground		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixHList.disabledBackground		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixLabelEntry*entry.highlightBackground	$tixOption(bg) $tixOption(prioLevel)
option add *TixLabelEntry*entry.background		$tixOption(input1_bg) $tixOption(prioLevel)
option add *TixLabelEntry*entry.foreground		$tixOption(input1_fg) $tixOption(prioLevel)
option add *TixLabelEntry*entry.insertBackground	$tixOption(input1_fg) $tixOption(prioLevel)
option add *TixMultiList*Listbox.borderWidth		0 $tixOption(prioLevel)
option add *TixMultiList*Listbox.highlightThickness	0 $tixOption(prioLevel)
option add *TixMultiList*Scrollbar.background		$tixOption(bg) $tixOption(prioLevel)
#option add *TixMultiList*Scrollbar.troughColor		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixMultiList*Scrollbar.relief		sunken $tixOption(prioLevel)
option add *TixMultiList*Scrollbar.width		15 $tixOption(prioLevel)
option add *TixMultiList*f1.borderWidth		2 $tixOption(prioLevel)
option add *TixMultiList*f1.relief			sunken $tixOption(prioLevel)
option add *TixMultiList*f1.highlightThickness		2 $tixOption(prioLevel)
option add *TixMDIMenuBar*menubar.relief		raised $tixOption(prioLevel)
option add *TixMDIMenuBar*menubar.borderWidth		2 $tixOption(prioLevel)
option add *TixMDIMenuBar*Menubutton.padY 		2 $tixOption(prioLevel)
option add *TixNoteBook.Background			$tixOption(bg) $tixOption(prioLevel)
option add *TixNoteBook.Foreground			$tixOption(fg) $tixOption(prioLevel)
option add *TixNoteBook.nbframe.Background		$tixOption(bg) $tixOption(prioLevel)
option add *TixNoteBook.nbframe.backPageColor		$tixOption(bg) $tixOption(prioLevel)
option add *TixNoteBook.nbframe.inactiveBackground	$tixOption(inactive_bg) $tixOption(prioLevel)
option add *TixPanedWindow.handleActiveBg 		$tixOption(active_bg) $tixOption(prioLevel)
option add *TixPanedWindow.seperatorBg    		$tixOption(bg) $tixOption(prioLevel)
option add *TixPanedWindow.handleBg       		$tixOption(dark1_bg) $tixOption(prioLevel)
option add *TixPopupMenu*menubutton.background 	$tixOption(dark1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*Scrollbar.background		$tixOption(bg) $tixOption(prioLevel)
#option add *TixScrolledHList*Scrollbar.troughColor		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.highlightBackground	$tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.background		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.foreground		$tixOption(light1_fg) $tixOption(prioLevel)
option add *TixScrolledTList*Scrollbar.background		$tixOption(bg) $tixOption(prioLevel)
#option add *TixScrolledTList*Scrollbar.troughColor		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledTList*tlist.highlightBackground	$tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledTList*tlist.background		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledTList*tlist.foreground		$tixOption(light1_fg) $tixOption(prioLevel)
option add *TixScrolledListBox*Scrollbar.background		$tixOption(bg) $tixOption(prioLevel)
#option add *TixScrolledListBox*Scrollbar.troughColor		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledListBox*listbox.highlightBackground	$tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledListBox*listbox.background		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledListBox*listbox.foreground		$tixOption(light1_fg) $tixOption(prioLevel)
option add *TixScrolledText*Scrollbar.background		$tixOption(bg) $tixOption(prioLevel)
#option add *TixScrolledText*Scrollbar.troughColor		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledWindow*Scrollbar.background		$tixOption(bg) $tixOption(prioLevel)
#option add *TixScrolledWindow*Scrollbar.troughColor		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledWindow.frame.background		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledWindow.frame.foreground		$tixOption(light1_fg) $tixOption(prioLevel)
option add *TixTree*Scrollbar.background		$tixOption(bg) $tixOption(prioLevel)
#option add *TixTree*Scrollbar.troughColor		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.highlightBackground	$tixOption(bg) $tixOption(prioLevel)
option add *TixTree*hlist.background		$tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.foreground		$tixOption(light1_fg) $tixOption(prioLevel)
option add *TixTree*hlist.borderWidth		$cde::borderwidth $tixOption(prioLevel)
option add *TixComboBox*Entry.highlightBackground		$tixOption(bg) $tixOption(prioLevel)
option add *TixComboBox*Entry.background			$tixOption(input1_bg) $tixOption(prioLevel)
option add *TixComboBox*Entry.foreground			$tixOption(input1_fg) $tixOption(prioLevel)
option add *TixComboBox*Entry.insertBackground		$tixOption(input1_fg) $tixOption(prioLevel)
option add *TixComboBox*Entry.disabledForeground	$tixOption(fg)
}
proc tixPref:SetScheme-Color:TixGray {} {
    if {![catch {uplevel 1 tixPref:SetScheme-Color:CDE} res]} {
        return $res
    }
    global tixOption

    set tixOption(bg)           lightgray
    set tixOption(fg)           black

    set tixOption(dark1_bg)     gray86
    set tixOption(dark1_fg)     black
    set tixOption(dark2_bg)     gray77
    set tixOption(dark2_fg)     black
    set tixOption(inactive_bg)  gray77
    set tixOption(inactive_fg)  black

    set tixOption(light1_bg)    gray92
    set tixOption(light1_fg)    white
    set tixOption(light2_bg)    gray95
    set tixOption(light2_fg)    white

    set tixOption(active_bg)    $tixOption(dark1_bg)
    set tixOption(active_fg)    $tixOption(fg)
    set tixOption(disabled_fg)  gray55
 
    set tixOption(input1_bg)    gray95
    set tixOption(input2_bg)    gray95
    set tixOption(output1_bg)   $tixOption(dark1_bg)
    set tixOption(output2_bg)   $tixOption(bg)

    set tixOption(select_fg)    black
    set tixOption(select_bg)    lightblue

    set tixOption(selector)     yellow

option add *background          $tixOption(bg) 10
option add *Background          $tixOption(bg) $tixOption(prioLevel)
option add *background          $tixOption(bg) $tixOption(prioLevel)
option add *Foreground          $tixOption(fg) $tixOption(prioLevel)
option add *foreground          $tixOption(fg) $tixOption(prioLevel)
option add *activeBackground    $tixOption(active_bg) $tixOption(prioLevel)
option add *activeForeground    $tixOption(active_fg) $tixOption(prioLevel)
option add *HighlightBackground $tixOption(bg) $tixOption(prioLevel)
option add *selectBackground    $tixOption(select_bg) $tixOption(prioLevel)
option add *selectForeground    $tixOption(select_fg) $tixOption(prioLevel)
option add *selectBorderWidth   0 $tixOption(prioLevel)
option add *Menu.selectColor            $tixOption(selector) $tixOption(prioLevel)
option add *TixMenu.selectColor         $tixOption(selector) $tixOption(prioLevel)
option add *Menubutton.padY                     5 $tixOption(prioLevel)
option add *Button.borderWidth          2 $tixOption(prioLevel)
option add *Button.anchor               c $tixOption(prioLevel)
option add *Checkbutton.selectColor             $tixOption(selector) $tixOption(prioLevel)
option add *Radiobutton.selectColor             $tixOption(selector) $tixOption(prioLevel)
option add *Entry.relief                sunken $tixOption(prioLevel)
option add *Entry.highlightBackground    $tixOption(bg) $tixOption(prioLevel)
option add *Entry.background            $tixOption(input1_bg) $tixOption(prioLevel)
option add *Entry.foreground            black $tixOption(prioLevel)
option add *Entry.insertBackground      black $tixOption(prioLevel)
option add *Label.anchor                w $tixOption(prioLevel)
option add *Label.borderWidth           0 $tixOption(prioLevel)
option add *Listbox.background          $tixOption(light1_bg) $tixOption(prioLevel)
option add *Listbox.relief              sunken $tixOption(prioLevel)
option add *Scale.foreground            $tixOption(fg) $tixOption(prioLevel)
option add *Scale.activeForeground      $tixOption(bg) $tixOption(prioLevel)
option add *Scale.background            $tixOption(bg) $tixOption(prioLevel)
option add *Scale.sliderForeground      $tixOption(bg) $tixOption(prioLevel)
option add *Scale.sliderBackground      $tixOption(light1_bg) $tixOption(prioLevel)
option add *Scrollbar.background                $tixOption(bg) $tixOption(prioLevel)
option add *Scrollbar.troughColor               $tixOption(light1_bg) $tixOption(prioLevel)
option add *Scrollbar.relief            sunken $tixOption(prioLevel)
option add *Scrollbar.borderWidth               1 $tixOption(prioLevel)
option add *Scrollbar.width                     15 $tixOption(prioLevel)
option add *Text.background             $tixOption(input1_bg) $tixOption(prioLevel)
option add *Text.relief         sunken $tixOption(prioLevel)
option add *TixBalloon*background                       #ffff60 $tixOption(prioLevel)
option add *TixBalloon*foreground                       black $tixOption(prioLevel)
option add *TixBalloon.background                       black $tixOption(prioLevel)
option add *TixBalloon*Label.anchor                     w $tixOption(prioLevel)
option add *TixControl*entry.highlightBackground $tixOption(bg) $tixOption(prioLevel)
option add *TixControl*entry.background         $tixOption(input1_bg) $tixOption(prioLevel)
option add *TixControl*entry.foreground         black $tixOption(prioLevel)
option add *TixControl*entry.insertBackground   black $tixOption(prioLevel)
option add *TixDirTree*Scrollbar.background             $tixOption(bg) $tixOption(prioLevel)
option add *TixDirTree*Scrollbar.troughColor            $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirTree*hlist.highlightBackground $tixOption(bg) $tixOption(prioLevel)
option add *TixDirTree*hlist.background         $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirTree*hlist.activeBackground   $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirTree*hlist.disabledBackground $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirTree*f1.borderWidth           1 $tixOption(prioLevel)
option add *TixDirTree*f1.relief                        sunken $tixOption(prioLevel)
option add *TixDirList*Scrollbar.background             $tixOption(bg) $tixOption(prioLevel)
option add *TixDirList*Scrollbar.troughColor            $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirList*hlist.highlightBackground $tixOption(bg) $tixOption(prioLevel)
option add *TixDirList*hlist.background         $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirList*hlist.activeBackground   $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirList*hlist.disabledBackground $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirList*f1.borderWidth           1 $tixOption(prioLevel)
option add *TixDirList*f1.relief                        sunken $tixOption(prioLevel)
option add *TixScrolledHList*Scrollbar.background               $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledHList*Scrollbar.troughColor              $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.highlightBackground   $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.background           $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.activeBackground     $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.disabledBackground   $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*f1.borderWidth             1 $tixOption(prioLevel)
option add *TixScrolledHList*f1.relief                  sunken $tixOption(prioLevel)
option add *TixTree*Scrollbar.background                $tixOption(bg) $tixOption(prioLevel)
option add *TixTree*Scrollbar.troughColor               $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.highlightBackground    $tixOption(bg) $tixOption(prioLevel)
option add *TixTree*hlist.background            $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.activeBackground      $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.disabledBackground    $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*f1.borderWidth              1 $tixOption(prioLevel)
option add *TixTree*f1.relief                   sunken $tixOption(prioLevel)
option add *TixFileEntry*Entry.background               $tixOption(input1_bg) $tixOption(prioLevel)
option add *TixHList.background                 $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixHList.activeBackground           $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixHList.disabledBackground         $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixLabelEntry*entry.highlightBackground      $tixOption(bg) $tixOption(prioLevel)
option add *TixLabelEntry*entry.background              $tixOption(input1_bg) $tixOption(prioLevel)
option add *TixLabelEntry*entry.foreground              black $tixOption(prioLevel)
option add *TixLabelEntry*entry.insertBackground        black $tixOption(prioLevel)
option add *TixMultiList*Listbox.borderWidth            0 $tixOption(prioLevel)
option add *TixMultiList*Listbox.highlightThickness     0 $tixOption(prioLevel)
option add *TixMultiList*Scrollbar.background           $tixOption(bg) $tixOption(prioLevel)
option add *TixMultiList*Scrollbar.troughColor          $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixMultiList*Scrollbar.relief               sunken $tixOption(prioLevel)
option add *TixMultiList*Scrollbar.width                15 $tixOption(prioLevel)
option add *TixMultiList*f1.borderWidth         2 $tixOption(prioLevel)
option add *TixMultiList*f1.relief                      sunken $tixOption(prioLevel)
option add *TixMultiList*f1.highlightThickness          2 $tixOption(prioLevel)
option add *TixMDIMenuBar*menubar.relief                raised $tixOption(prioLevel)
option add *TixMDIMenuBar*menubar.borderWidth           2 $tixOption(prioLevel)
option add *TixMDIMenuBar*Menubutton.padY               2 $tixOption(prioLevel)
option add *TixNoteBook.Background                      $tixOption(bg) $tixOption(prioLevel)
option add *TixNoteBook.nbframe.Background              $tixOption(bg) $tixOption(prioLevel)
option add *TixNoteBook.nbframe.backPageColor           $tixOption(bg) $tixOption(prioLevel)
option add *TixNoteBook.nbframe.inactiveBackground      $tixOption(inactive_bg) $tixOption(prioLevel)
option add *TixPanedWindow.handleActiveBg               $tixOption(active_bg) $tixOption(prioLevel)
option add *TixPanedWindow.seperatorBg                  $tixOption(bg) $tixOption(prioLevel)
option add *TixPanedWindow.handleBg                     $tixOption(dark1_bg) $tixOption(prioLevel)
option add *TixPopupMenu*menubutton.background  $tixOption(dark1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*Scrollbar.background               $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledHList*Scrollbar.troughColor              $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.highlightBackground   $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.background           $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledTList*Scrollbar.background               $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledTList*Scrollbar.troughColor              $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledTList*tlist.highlightBackground   $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledTList*tlist.background           $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledListBox*Scrollbar.background             $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledListBox*Scrollbar.troughColor            $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledListBox*listbox.highlightBackground       $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledListBox*listbox.background               $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledText*Scrollbar.background                $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledText*Scrollbar.troughColor               $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledWindow*Scrollbar.background              $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledWindow*Scrollbar.troughColor             $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledWindow.frame.background          $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*Scrollbar.background                $tixOption(bg) $tixOption(prioLevel)
option add *TixTree*Scrollbar.troughColor               $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.highlightBackground    $tixOption(bg) $tixOption(prioLevel)
option add *TixTree*hlist.background            $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.borderWidth           1 $tixOption(prioLevel)
option add *TixComboBox*Entry.highlightBackground                $tixOption(bg) $tixOption(prioLevel)
option add *TixComboBox*Entry.background                        $tixOption(input1_bg) $tixOption(prioLevel)
option add *TixComboBox*Entry.foreground                        black $tixOption(prioLevel)
option add *TixComboBox*Entry.insertBackground          black $tixOption(prioLevel)
}
proc tixPref:SetScheme-Mono:TixGray {} {
    if {![catch {uplevel 1 tixPref:SetScheme-Color:CDE} res]} {
        return $res
    }
    global tixOption

    set tixOption(bg)           lightgray
    set tixOption(fg)           black

    set tixOption(dark1_bg)     gray70
    set tixOption(dark1_fg)     black
    set tixOption(dark2_bg)     gray60
    set tixOption(dark2_fg)     white
    set tixOption(inactive_bg)  lightgray
    set tixOption(inactive_fg)  black

    set tixOption(light1_bg)    gray90
    set tixOption(light1_fg)    white
    set tixOption(light2_bg)    gray95
    set tixOption(light2_fg)    white

    set tixOption(active_bg)    gray90
    set tixOption(active_fg)    $tixOption(fg)
    set tixOption(disabled_fg)  gray55

    set tixOption(input1_bg)    $tixOption(light1_bg)
    set tixOption(input2_bg)    $tixOption(light1_bg)
    set tixOption(output1_bg)   $tixOption(light1_bg)
    set tixOption(output2_bg)   $tixOption(light1_bg)

    set tixOption(select_fg)    white
    set tixOption(select_bg)    black

    set tixOption(selector)     black

option add *background          $tixOption(bg) 10
option add *Background          $tixOption(bg) $tixOption(prioLevel)
option add *background          $tixOption(bg) $tixOption(prioLevel)
option add *Foreground          $tixOption(fg) $tixOption(prioLevel)
option add *foreground          $tixOption(fg) $tixOption(prioLevel)
option add *activeBackground    $tixOption(active_bg) $tixOption(prioLevel)
option add *activeForeground    $tixOption(active_fg) $tixOption(prioLevel)
option add *HighlightBackground $tixOption(bg) $tixOption(prioLevel)
option add *selectBackground    $tixOption(select_bg) $tixOption(prioLevel)
option add *selectForeground    $tixOption(select_fg) $tixOption(prioLevel)
option add *selectBorderWidth   0 $tixOption(prioLevel)
option add *Menu.selectColor            $tixOption(selector) $tixOption(prioLevel)
option add *TixMenu.selectColor         $tixOption(selector) $tixOption(prioLevel)
option add *Menubutton.padY                     5 $tixOption(prioLevel)
option add *Button.borderWidth          2 $tixOption(prioLevel)
option add *Button.anchor               c $tixOption(prioLevel)
option add *Checkbutton.selectColor             $tixOption(selector) $tixOption(prioLevel)
option add *Radiobutton.selectColor             $tixOption(selector) $tixOption(prioLevel)
option add *Entry.relief                sunken $tixOption(prioLevel)
option add *Entry.highlightBackground    $tixOption(bg) $tixOption(prioLevel)
option add *Entry.background            $tixOption(input1_bg) $tixOption(prioLevel)
option add *Entry.foreground            black $tixOption(prioLevel)
option add *Entry.insertBackground      black $tixOption(prioLevel)
option add *Label.anchor                w $tixOption(prioLevel)
option add *Label.borderWidth           0 $tixOption(prioLevel)
option add *Listbox.background          $tixOption(light1_bg) $tixOption(prioLevel)
option add *Listbox.relief              sunken $tixOption(prioLevel)
option add *Scale.foreground            $tixOption(fg) $tixOption(prioLevel)
option add *Scale.activeForeground      $tixOption(bg) $tixOption(prioLevel)
option add *Scale.background            $tixOption(bg) $tixOption(prioLevel)
option add *Scale.sliderForeground      $tixOption(bg) $tixOption(prioLevel)
option add *Scale.sliderBackground      $tixOption(light1_bg) $tixOption(prioLevel)
option add *Scrollbar.background                $tixOption(bg) $tixOption(prioLevel)
option add *Scrollbar.troughColor               $tixOption(light1_bg) $tixOption(prioLevel)
option add *Scrollbar.relief            sunken $tixOption(prioLevel)
option add *Scrollbar.borderWidth               1 $tixOption(prioLevel)
option add *Scrollbar.width                     15 $tixOption(prioLevel)
option add *Text.background             $tixOption(input1_bg) $tixOption(prioLevel)
option add *Text.relief         sunken $tixOption(prioLevel)
option add *TixBalloon*background                       #ffff60 $tixOption(prioLevel)
option add *TixBalloon*foreground                       black $tixOption(prioLevel)
option add *TixBalloon.background                       black $tixOption(prioLevel)
option add *TixBalloon*Label.anchor                     w $tixOption(prioLevel)
option add *TixControl*entry.highlightBackground $tixOption(bg) $tixOption(prioLevel)
option add *TixControl*entry.background         $tixOption(input1_bg) $tixOption(prioLevel)
option add *TixControl*entry.foreground         black $tixOption(prioLevel)
option add *TixControl*entry.insertBackground   black $tixOption(prioLevel)
option add *TixDirTree*Scrollbar.background             $tixOption(bg) $tixOption(prioLevel)
option add *TixDirTree*Scrollbar.troughColor            $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirTree*hlist.highlightBackground $tixOption(bg) $tixOption(prioLevel)
option add *TixDirTree*hlist.background         $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirTree*hlist.activeBackground   $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirTree*hlist.disabledBackground $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirTree*f1.borderWidth           1 $tixOption(prioLevel)
option add *TixDirTree*f1.relief                        sunken $tixOption(prioLevel)
option add *TixDirList*Scrollbar.background             $tixOption(bg) $tixOption(prioLevel)
option add *TixDirList*Scrollbar.troughColor            $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirList*hlist.highlightBackground $tixOption(bg) $tixOption(prioLevel)
option add *TixDirList*hlist.background         $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirList*hlist.activeBackground   $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirList*hlist.disabledBackground $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixDirList*f1.borderWidth           1 $tixOption(prioLevel)
option add *TixDirList*f1.relief                        sunken $tixOption(prioLevel)
option add *TixScrolledHList*Scrollbar.background               $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledHList*Scrollbar.troughColor              $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.highlightBackground   $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.background           $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.activeBackground     $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.disabledBackground   $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*f1.borderWidth             1 $tixOption(prioLevel)
option add *TixScrolledHList*f1.relief                  sunken $tixOption(prioLevel)
option add *TixTree*Scrollbar.background                $tixOption(bg) $tixOption(prioLevel)
option add *TixTree*Scrollbar.troughColor               $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.highlightBackground    $tixOption(bg) $tixOption(prioLevel)
option add *TixTree*hlist.background            $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.activeBackground      $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.disabledBackground    $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*f1.borderWidth              1 $tixOption(prioLevel)
option add *TixTree*f1.relief                   sunken $tixOption(prioLevel)
option add *TixFileEntry*Entry.background               $tixOption(input1_bg) $tixOption(prioLevel)
option add *TixHList.background                 $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixHList.activeBackground           $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixHList.disabledBackground         $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixLabelEntry*entry.highlightBackground      $tixOption(bg) $tixOption(prioLevel)
option add *TixLabelEntry*entry.background              $tixOption(input1_bg) $tixOption(prioLevel)
option add *TixLabelEntry*entry.foreground              black $tixOption(prioLevel)
option add *TixLabelEntry*entry.insertBackground        black $tixOption(prioLevel)
option add *TixMultiList*Listbox.borderWidth            0 $tixOption(prioLevel)
option add *TixMultiList*Listbox.highlightThickness     0 $tixOption(prioLevel)
option add *TixMultiList*Scrollbar.background           $tixOption(bg) $tixOption(prioLevel)
option add *TixMultiList*Scrollbar.troughColor          $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixMultiList*Scrollbar.relief               sunken $tixOption(prioLevel)
option add *TixMultiList*Scrollbar.width                15 $tixOption(prioLevel)
option add *TixMultiList*f1.borderWidth         2 $tixOption(prioLevel)
option add *TixMultiList*f1.relief                      sunken $tixOption(prioLevel)
option add *TixMultiList*f1.highlightThickness          2 $tixOption(prioLevel)
option add *TixMDIMenuBar*menubar.relief                raised $tixOption(prioLevel)
option add *TixMDIMenuBar*menubar.borderWidth           2 $tixOption(prioLevel)
option add *TixMDIMenuBar*Menubutton.padY               2 $tixOption(prioLevel)
option add *TixNoteBook.Background                      $tixOption(bg) $tixOption(prioLevel)
option add *TixNoteBook.nbframe.Background              $tixOption(bg) $tixOption(prioLevel)
option add *TixNoteBook.nbframe.backPageColor           $tixOption(bg) $tixOption(prioLevel)
option add *TixNoteBook.nbframe.inactiveBackground      $tixOption(inactive_bg) $tixOption(prioLevel)
option add *TixPanedWindow.handleActiveBg               $tixOption(active_bg) $tixOption(prioLevel)
option add *TixPanedWindow.seperatorBg                  $tixOption(bg) $tixOption(prioLevel)
option add *TixPanedWindow.handleBg                     $tixOption(dark1_bg) $tixOption(prioLevel)
option add *TixPopupMenu*menubutton.background  $tixOption(dark1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*Scrollbar.background               $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledHList*Scrollbar.troughColor              $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.highlightBackground   $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledHList*hlist.background           $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledTList*Scrollbar.background               $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledTList*Scrollbar.troughColor              $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledTList*tlist.highlightBackground   $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledTList*tlist.background           $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledListBox*Scrollbar.background             $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledListBox*Scrollbar.troughColor            $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledListBox*listbox.highlightBackground       $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledListBox*listbox.background               $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledText*Scrollbar.background                $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledText*Scrollbar.troughColor               $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledWindow*Scrollbar.background              $tixOption(bg) $tixOption(prioLevel)
option add *TixScrolledWindow*Scrollbar.troughColor             $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixScrolledWindow.frame.background          $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*Scrollbar.background                $tixOption(bg) $tixOption(prioLevel)
option add *TixTree*Scrollbar.troughColor               $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.highlightBackground    $tixOption(bg) $tixOption(prioLevel)
option add *TixTree*hlist.background            $tixOption(light1_bg) $tixOption(prioLevel)
option add *TixTree*hlist.borderWidth           1 $tixOption(prioLevel)
option add *TixComboBox*Entry.highlightBackground                $tixOption(bg) $tixOption(prioLevel)
option add *TixComboBox*Entry.background                        $tixOption(input1_bg) $tixOption(prioLevel)
option add *TixComboBox*Entry.foreground                        black $tixOption(prioLevel)
option add *TixComboBox*Entry.insertBackground          black $tixOption(prioLevel)
}
